Show / Hide Table of Contents

# Struct ExdModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.Exd

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ExdModule

### Fields

| Improve this Doc View Source

#### ExcelModule

##### Declaration

    public ExcelModule*ExcelModule

##### Field Value

Type | Description
--- | ---
ExcelModule* |

### Methods

| Improve this Doc View Source

#### GetEntryByIndex(UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F 57 F6 48 85 C0")]
    public void *GetEntryByIndex(uint sheetId, uint rowId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | sheetId |
System.UInt32 | rowId |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetSheetRowById(Void*, UInt32)

##### Declaration

    [MemberFunction("48 89 5C 24 ?? 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 ?? 41 8B F8")]
    public void *GetSheetRowById(void *sheet, uint rowId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | sheet |
System.UInt32 | rowId |

##### Returns

Type | Description
--- | ---
System.Void* |